---
title: "Maintenance Log"
geekdocCollapseSection: true
geekdocDescription: "A log of changes to the burble.dn42 network"
---
A log of changes to the burble.dn42 network.

---

## 6th January 2021

hk-hkg1 is now open for IPv4 peering; see the [node information](https://dn42.burble.com/network/nodes/#dn42-hk-hgk1) for details.

IPv6 connectivity is expected ~February. 

## 4th January 2021

Happy New Year DN42.

#### New Website

The new year brings a new website for burble.dn42 built using [Hugo](https://gohugo.io/) and statically
delivered from each core node for speed. As always, the source for the website is available in the
[gitea repo](https://git.burble.dn42/burble.dn42/www).

#### Anycast MTU

The MTU for anycast services has been reduced to 1280 after a problem was seen with IPv6 path MTU discovery.

The problem was due to an asymmetric path, where a request to the wiki went to one node but the return
path was via a different node. The other node also hosted a wiki instance, which meant that pmtud ICMP
messages on the return path were being picked up by the wrong node. To fix this, the MTU has been clamped
to the minimum allowable size of 1280. 

Interestingly, Cloudflare also recognised the same type of issue and wrote up what they did in their [blog](https://blog.cloudflare.com/increasing-ipv6-mtu/).

The following services were impacted by the changes.

- DNS Services
- NGINX Reverse Proxy (and therefore also all websites, including the Wiki mirrors)
- WHOIS Service


#### New Nodes

es-mad1 in Madrid, Spain has already been delivered and is now open for peerings.

The new node in Hong Kong, hk-hkg1 has also been delivered and I'm now just waiting for IPv6 to be available
before it too will also be ready for peering.


---

#### Historical changes from previous years

{{<toc-tree>}}